Loading...
Searching...
No Matches
path_manager.h File Reference

mptcpd path manager private interface. More...

`#include <stdbool.h>`
`#include <mptcpd/types.h>`
Include dependency graph for path_manager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | mptcpd_pm
| Data needed to run the path manager. More...
struct | pm_ops_info
| Path manager event tracking callback information. More...
struct | mptcpd_pm_cmd_ops
| MPTCP path management generic netlink command functions. More...
struct | mptcpd_kpm_cmd_ops
| Kernel-side MPTCP path management netlink commands. More...

## Detailed Description

mptcpd path manager private interface.

Copyright (c) 2017-2022, Intel Corporation